Bug 2028280 - `--to` option does not work with `--credentials-requests` flag.
Summary: `--to` option does not work with `--credentials-requests` flag.
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: oc
Version: 4.6
Hardware: Unspecified
OS: Unspecified
low
low
Target Milestone: ---
: 4.6.z
Assignee: Maciej Szulik
QA Contact: zhou ying
URL:
Whiteboard:
Depends On: 1853116
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-12-01 21:52 UTC by OpenShift BugZilla Robot
Modified: 2021-12-15 20:01 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-12-15 20:01:34 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift oc pull 984 0 None open [release-4.6] Bug 2028280: write to files instead of stdout 2021-12-01 21:52:40 UTC
Red Hat Product Errata RHBA-2021:5010 0 None None None 2021-12-15 20:01:37 UTC

Comment 4 zhou ying 2021-12-09 11:14:46 UTC
The issue has fixed:

[root@localhost 1204]# /home/oc version 
Client Version: 4.6.0-0.nightly-2021-12-06-112404

[root@localhost 1204]#  /home/oc adm release extract registry.ci.openshift.org/ocp/release:4.6.0-0.nightly-2021-12-06-112404 --credentials-requests --to ./extract_content 
[root@localhost 1204]# ls extract_content/
0000_03_authorization-openshift_01_rolebindingrestriction.crd.yaml
0000_03_config-operator_01_operatorhub.crd.yaml
0000_03_config-operator_01_proxy.crd.yaml
...

Comment 6 errata-xmlrpc 2021-12-15 20:01:34 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (OpenShift Container Platform 4.6.52 bug fix update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2021:5010


Note You need to log in before you can comment on or make changes to this bug.